package com.example.matuletest

import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.asStateFlow
import kotlinx.coroutines.flow.drop
import kotlinx.coroutines.flow.first
import kotlinx.coroutines.flow.take
import kotlinx.coroutines.test.UnconfinedTestDispatcher
import kotlinx.coroutines.test.runTest
import org.junit.Test

import org.junit.Assert.*

/**
 * Example local unit test, which will execute on the development machine (host).
 *
 * See [testing documentation](http://d.android.com/tools/testing).
 */
class ExampleUnitTest {
    @Test
    fun email_isCorrect() = runTest{
        val viewModelBase = ViewModelBase(UnconfinedTestDispatcher(testScheduler))
        viewModelBase.auth("", "")
        val message = viewModelBase.errorMessage.first()
        assertEquals(message, "email error")
    }
}